


#include <stdio.h>
#include <math.h>
#include "bait.h"
#include "pf.h"
#include "snpht.h"


	/* for each star in the given image, set the zero'th element
	   of the 'mag[]' array to the value in the
	   "correct" aperture.  The "correct" aperture is

	       a. the passed param 'aper'
	*/

pick_aper(im, aper)
struct s_image *im;
int aper;
{
	int i, j, naper, best;
	double avg;
	struct s_star *s;

	for (i = 0; i < im->num_star; i++) {
		s = &(im->stars[i]);
		if (aper >= 0) {
			s->mag[0] = s->mag[aper];
			continue;
		}
	}
}
