

	/* print out information on structures used by the listgen program */

#include <stdio.h>
#include "pf.h"
#include "list.h"

#define VERBOSE
#ifdef VERBOSE
extern char *progname;
#endif

	/* print out the information in an object structure */

void
print_object(obj, priority)
struct s_object *obj;
int priority;
{
	printf(" %10.5lf  %10.5lf ", obj->ra, obj->dec);
	printf(" %8.2lf  %3d  %-s\n", obj->exp_time, priority, obj->name);
/****
	printf("          %-s  exp time %8.2lf \n", obj->name, obj->exp_time);
	printf("          RA %10.5lf  Dec %10.5lf\n", obj->ra, obj->dec);
	printf("          %1d windows   ", obj->vis_flag);
	if (obj->vis_flag == 0)
		printf("\n");
	if (obj->vis_flag >= 1)
		printf(" %12.3lf  ..  %12.3lf \n", obj->jd_start[0], obj->jd_end[0]);
	if (obj->vis_flag == 2) {
		printf("  %20s %12.3lf  ..  %12.3lf \n", " ", obj->jd_start[1], obj->jd_end[1]);
	}
********/

}

	/* print out information in a group structure */

void
print_group(grp)
struct s_group *grp;
{
	struct s_object *obj;

/**
	printf("    start %5d   end %5d  num_obs %5d\n", grp->daystart,
				grp->dayend, grp->num_obs);
	printf("    priority %3d  prob. %5.3lf  utstart %8lf  exptime %8.1lf\n", 
				grp->priority, grp->probability, grp->utstart, grp->exp_time);
	printf("    %1d windows   ", grp->vis_flag);
	if (grp->vis_flag == 0)
		printf("\n");
	if (grp->vis_flag >= 1)
		printf(" %12.3lf  ..  %12.3lf \n", grp->jd_start[0], grp->jd_end[0]);
	if (grp->vis_flag == 2)
		printf(" %18s %12.3lf  ..  %12.3lf \n", " ", grp->jd_start[1], grp->jd_end[1]);
**/
	for (obj = grp->object; obj != NULL; obj = obj->next)
		print_object(obj, grp->priority);
}
